# 实现简单的四则运算计算器
# 输入两个数一个运算符，输出结果


def add(num1:float, num2:float) -> float:
    return num1 + num2
def sub(num1:float, num2:float) -> float:
    return num1 - num2
def mul(num1:float, num2:float) -> float:
    return num1 * num2
def div(num1:float, num2:float) -> float:
    return num1 / num2

def main():
    a1 = float(input("请输入第一个数: "))
    a2 = float(input("请输入第二个数: "))
    s = input("请输入运算符: ")

    if s not in ["+", "-", "*", "/"]:
        print("请输入正确的符号")
        return
    
    p = {"+": add, "-": sub, "*": mul, "/": div}
    print(p[s](a1, a2))
    

if __name__ == "__main__":
    main()